Subject: [bug#45409] [PATCH v3 3/3] guix: Split (guix substitutes) from (guix scripts substitute).

From: Christopher Baines <[email-masked]>
Date: Tue, 23 Feb 2021 20:46:17 +0000

Christopher Baines <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> Christopher Baines <[email-masked]> writes:
>>
>>> I've rebased on master, tweaked the commit messages, and send a set of
>>> v4 patches and while they don't create the (guix substitutes) module, I
>>> think they unpick the bits I'd like to move out from the code doing the
>>> connection caching.
>>
>> I did some more testing today, and while it turns out the tests passed
>> when run with network access, one test failed when building the guix
>> package.
>>
>> I've now rebased, and added an addition patch to address this, and sent
>> a v5 series. My testing locally seems to suggest this works, so I'd like
>> to merge it soon so I can push on with moving code out of the script
>> module.
>
> I've gone ahead and pushed these patches as
> 5c7874adb00c834e55e58a9b964ebc5fd1bb872c. I'll send some more patches to
> make the remaining changes shortly.

I've sent more patches now.

One creates the (guix substitutes) module, and the other mostly
independent patch looks to make backtraces appear in full.